| Cabal-1.2.4.0: A framework for packaging Haskell software | Source code | Contents | Index

Distribution.Simple.PreProcess.Unlit

Portability | portable
Stability | Stable
Maintainer | Malcolm Wallace <Malcolm.Wallace@cs.york.ac.uk>

Description
Remove the "literal" markups from a Haskell source file, including "`>`", "`\begin{code}`", "`\end{code}`", and "`#`" Part of the following code is from Report on the Programming Language Haskell, version 1.2, appendix C.
Synopsis

unlit :: FilePath -> String -> String
plain :: String -> String -> String

Documentation

unlit :: FilePath -> String -> String | Source

`unlit` takes a filename (for error reports), and transforms the given string, to eliminate the literate comments from the program text.

plain :: String -> String -> String | Source

Produced by Haddock version 0.9